/*
#    Texplore:
#       A simple Type Explorer for GObject based libraries.
#    Copyright (C) June, 2005 Muthiah Annamalai
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef TEXPLORE_TABLE_H
#define TEXPLORE_TABLE_H

#include<gtk/gtk.h>

/* 
 * @type_view is a TreeView that shows details of 
 * a type selected on this tree.
 *
 * @return return a TreeView widget
 * @Creates a Table to store List of Types.
 */
GtkWidget * create_table(GtkWidget *type_view);

#endif /* TEXPLORE_TABLE_H */
