/*
#    Texplore:
#       A simple Type Explorer for GObject based libraries.
#    Copyright (C) June, 2005 Muthiah Annamalai
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef TEXPLORE_MENU_H
#define TEXPLORE_MENU_H

#include<gtk/gtk.h>

/* 
 * @window main window, created by gtk_window_new()
 * @return a MenuBar widget
 * @Creates a toolbar/menubar depending on impl.
 *  UI Manager lives a "ui-manager" property on 
 * g_object_set/get_data() of the menubar widget.
 */
GtkWidget * create_menu(GtkWidget *window);

#endif /* TEXPLORE_MENU_H */

