/*
#    Texplore:
#       A simple Type Explorer for GObject based libraries.
#    Copyright (C) June, 2005 Muthiah Annamalai
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef TEXPLORE_TYPES_H
#define TEXPLORE_TYPES_H

#include<glib-object.h>
#include<gtk/gtk.h>

typedef struct TexploreTypeData
{
  char *TypeString;
  GType TypeID;
} TexploreTypeData;

const TexploreTypeData *texplore_init_types();

/* FIXME : Convert this to a proper GObject/GTKObject */
GtkWidget *type_view_new();
void type_view_update_type(GtkWidget *type_view,GType type);

#endif /* TEXPLORE_TYPES_H */
