/*
#    Texplore:
#       A simple Type Explorer for GObject based libraries.
#    Copyright (C) June, 2005 Muthiah Annamalai
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include<gtk/gtk.h>
#include "menu.h"

int main(int argc,char *argv[])
{
  GtkWidget *w,*box,*combo,*spin;

  gtk_init(&argc,&argv);

  w=gtk_window_new(GTK_WINDOW_TOPLEVEL);
  box=gtk_hbox_new(FALSE,FALSE);
  
  combo=gtk_label_new("Combo Box");
  spin=gtk_spin_button_new_with_range(0,10,1);

  gtk_box_pack_start(GTK_BOX(box),combo,FALSE,FALSE,0);
  gtk_box_pack_start(GTK_BOX(box),spin,FALSE,FALSE,0);
  
  gtk_window_set_position(GTK_WINDOW(w),GTK_WIN_POS_CENTER);
  gtk_container_add(GTK_CONTAINER(w),box);  

  gtk_widget_show_all(w);

  g_signal_connect(G_OBJECT(w),"destroy",G_CALLBACK(gtk_main_quit),NULL);  
  
  gtk_main();
  return 0;
}

/* 
gcc -o test test.c -Wall -ggdb `pkg-config gtk+-2.0  --cflags --libs`
*/
